DtMmdbDlpGetPrevSectionId(library call)

NAME
DtMmdbDlpGetPrevSectionId — obtains the object identifier of the previous section

SYNOPSIS

#include &<DtMmdb.h>
DtMmdbHandle* DtMmdbDlpGetPrevSectionId(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbDlpGetPrevSectionId function returns the object identifier of the previous section. You can use this function to traverse the TOC hierarchy in a depth-first fashion.

Use the DtMmdbFreeHandleList function to release the memory when the object identifier is no longer needed. Table lookup is involved.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field, as well as the id of the current section in the primary_oid field.

RETURN VALUE

If DtMmdbDlpGetPrevSectionId completes successfully, it returns a pointer to the object identifier for the previous section or DtMmdbGroundId, if there is no previous section. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbDlpGetPrevSectionId call might be coded.

DtMmdbInfoRequest request;
/* fill the request here */
DtMmdbHandle* x = DtMmdbDlpGetPrevSectionId(&&request);
if ( x == DtMMdbGroundId) {
   /* no previous section */
} else
  {
   if (x == 0) {
     /* bad request */
  }
  else
  { /* make use of x */
  }

SEE ALSO

DtMmdbDlpGetNextSectionId(3)